org.firebirdsql.jdbc.field

## Interface FBCloseableField

All Known Implementing Classes:
  FBLongVarCharField

    public interface FBCloseableField

Instances of this field have open resources and must be cleaned up.

Since:
  5
Author:
  Vasiliy Yashkov

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close this field.

### Method Detail

#### close

    void close()
        throws java.sql.SQLException

Close this field. This method tells field implementation to release all resources allocated when field methods were called.

Throws:
  `java.sql.SQLException` - if field cannot be closed.